API

Get a list of tickets

GET/api/crm/v2/ticketsv2
operationId: tickets.default

Returns a paginated list of support tickets. New and open tickets are listed first. Each ticket includes attachments, assignee name, network, and affiliate.

Authorization

api-token + language + role

Query parameters

page_numberinteger

Example: 1

date_creation_fromstring

Example: 25/04/2024

date_creation_tostring

Example: 26/04/2024

zone_and_chainstring
status_ticketstring (TicketsStatus)

Values:solvedwaiting_customer_responsenewclosedin_workclosed_automatic

Example: new

idinteger
typestring (TicketsType)

Values:featuresproblem

Example: features

affiliate_idinteger
teamsstring (TicketsTeam)

Values:accountantandroid_developercontent_managercrmfrontend_developerios_developermarketerqa_engineersuper_adminsupportsystem_adminweb_designer

Example: super_admin

productstring (TicketsProduct)

Values:crmappsitefinance

Example: crm

hide_tickets_only_userstring
hide_tickets_only_pollstring

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
date_creation_fromobject (FilterDateFrom)
valuestringcan be null

Example: 2026-08-01 00:00:00

typestringrequired

Example: date

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

date_creation_toobject (FilterDateTo)
valuestringcan be null

Example: 2026-08-31 23:59:59

typestringrequired

Example: date

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

statusobject (FilterEnum)

Filter enumeration — a flat list of enumeration values

valuestring

Example: example

typestringrequired

Example: select

optionarray of string
modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

typeobject (FilterEnum)

Filter enumeration — a flat list of enumeration values

valuestring

Example: example

typestringrequired

Example: select

optionarray of string
modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

affiliate_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

productobject (FilterEnum)

Filter enumeration — a flat list of enumeration values

valuestring

Example: example

typestringrequired

Example: select

optionarray of string
modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

One of the options
object
chain_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

listarray of object
idintegerrequired

Example: 388

date_creationstringrequired

Example: 2024-03-15 12:23:17

date_changestringrequired

Example: 2024-03-15 12:23:17

date_closingstring

Example: 2025-03-15 12:23:17

zonestring

Example: ru

subjectstringrequired

Example: Add a feature

descriptionstringrequired

Example: the description of the ticket

teamsarray of stringrequired
statusstring (TicketsStatus) required

Values:solvedwaiting_customer_responsenewclosedin_workclosed_automatic

Example: new

productstring (TicketsProduct)

Values:crmappsitefinance

Example: crm

platformstring (TicketsPlatform)

Values:iosandroid

Example: ios

user_id_in_chargeinteger

Example: 585

unread_messagebooleanrequired

Example: false

poll_enabledbooleanrequired

Example: false

typestring (TicketsType) required

Values:featuresproblem

Example: features

chain_idinteger

Example: 8080

affiliate_idinteger

Example: 3

user_name_in_chargestring

Example: user name

affiliate_namestring

Example: user name

filesarray of object
message_idintegerrequired

Example: 912

file_idstringrequired

Example: df9a0531a9da6cf027e5143f38486dba

linkstringrequired

Example: https://cdn.foodsoul.pro/support/407/images/df9a0531a9da6cf027e5143f38486dba.jpg?v1733409704

chain_namestring

Example: Green Basket | Kirov

paginationobject (Pagination)
max_countintegerrequired

Number of items per page

Example: 30

page_numberintegerrequired

Current page number; limited so that the offset does not exceed 1000

Example: 1

has_nextbooleanrequired

Is there a next page

Example: true

has_previousbooleanrequired

Is there a previous page

Example: false